DCMTK: DiTransTemplate< T > Class Template Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Protected Member Functions | Protected Attributes | List of all members
DiTransTemplate< T > Class Template Reference

Template class building the base for other transformations. More...

Inheritance diagram for DiTransTemplate< T >:

## Protected Member Functions
| DiTransTemplate (const int planes, const Uint16 src_x, const Uint16 src_y, const Uint16 dest_x, const Uint16 dest_y, const Uint32 frames, const int bits=0)
| constructor
virtual | ~DiTransTemplate ()
| destructor
void | copyPixel (const T *src[], T *dest[])
| copy pixel data
void | fillPixel (T *dest[], const T value)
| fill pixel data with specified value
void | clearPixel (T *dest[])
| clear pixel data (set values to 0)

## Protected Attributes
int | Planes
| number of planes
Uint16 | Src_X
| width of source image
Uint16 | Src_Y
| height of source image
const Uint16 | Dest_X
| width of destination image
const Uint16 | Dest_Y
| height of destination image
const Uint32 | Frames
| number of frames
const int | Bits
| number of bits per plane/pixel

## Detailed Description

template<class T>
class DiTransTemplate< T >

Template class building the base for other transformations.

(e.g. scaling, flipping)

## Constructor & Destructor Documentation

## ◆ DiTransTemplate()

template<class T>

DiTransTemplate< T >::DiTransTemplate | ( | const int | planes,
|  | const Uint16 | src_x,
|  | const Uint16 | src_y,
|  | const Uint16 | dest_x,
|  | const Uint16 | dest_y,
|  | const Uint32 | frames,
|  | const int | bits = 0 )
| inlineprotected

constructor

Parameters

  planes | number of planes
  src_x | width of source image
  src_y | height of source image
  dest_x | width of destination image (after transformation)
  dest_y | height of destination image
  frames | number of frames
  bits | number of bits per plane/pixel (optional)

References Bits, Dest_X, Dest_Y, Frames, Planes, Src_X, and Src_Y.

Referenced by DiFlipTemplate< T >::DiFlipTemplate(), DiFlipTemplate< T >::DiFlipTemplate(), DiRotateTemplate< T >::DiRotateTemplate(), DiRotateTemplate< T >::DiRotateTemplate(), DiScaleTemplate< T >::DiScaleTemplate(), and DiScaleTemplate< T >::DiScaleTemplate().

## Member Function Documentation

## ◆ clearPixel()

template<class T>

void DiTransTemplate< T >::clearPixel | ( | T * | dest[] | ) |
| inlineprotected

clear pixel data (set values to 0)

Parameters

  dest | array of pointers to destination image pixels

References Dest_X, Dest_Y, Frames, Planes, and OFBitmanipTemplate< T >::zeroMem().

Referenced by DiScaleTemplate< T >::bicubicPixel(), DiScaleTemplate< T >::bilinearPixel(), and DiScaleTemplate< T >::interpolatePixel().

## ◆ copyPixel()

template<class T>

void DiTransTemplate< T >::copyPixel | ( | const T * | src[],
|  | T * | dest[] )
| inlineprotected

copy pixel data

Parameters

  src | array of pointers to source image pixels
  dest | array of pointers to destination image pixels

References OFBitmanipTemplate< T >::copyMem(), Dest_X, Dest_Y, Frames, and Planes.

Referenced by DiFlipTemplate< T >::flipData(), DiRotateTemplate< T >::rotateData(), and DiScaleTemplate< T >::scaleData().

## ◆ fillPixel()

template<class T>

void DiTransTemplate< T >::fillPixel | ( | T * | dest[],
|  | const T | value )
| inlineprotected

fill pixel data with specified value

Parameters

  dest | array of pointers to destination image pixels
  value | value to be filled in destination array

References Dest_X, Dest_Y, Frames, Planes, and OFBitmanipTemplate< T >::setMem().

Referenced by DiScaleTemplate< T >::scaleData().

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/ditranst.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1